SystemOrganization addCategory: #'DAO-SatelliteUI'!

WAComponent subclass: #CommandRequestUI
	instanceVariableNames: 'subsystems commandRequest'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DAO-SatelliteUI'!

!CommandRequestUI methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/27/2013 19:03'!
chooseCommand

	| commandView aCommandList aSubsystemId |
	
	
	aSubsystemId:= self commandRequest subsystemId.
	self inform: aSubsystemId asString.
	aCommandList := (self subsystems select: [ :each | each id = aSubsystemId ]) first commands.
	
	commandView := CommandsView newWithCommands: aCommandList andRequest: self commandRequest.
	self call:( commandView ) ! !

!CommandRequestUI methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/27/2013 18:04'!
chooseCommand: aSubsystemId

	| commandView aCommandList |
	
	aCommandList := (self subsystems select: [ :each | each id = aSubsystemId ]) first commands.
	
	commandView := CommandsView newWithCommands: aCommandList andRequest: self commandRequest.
	self call:( commandView ) ! !

!CommandRequestUI methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/27/2013 19:11'!
commandId: anId

	self commandRequest commandId: anId ! !

!CommandRequestUI methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/23/2013 16:31'!
commandRequest
	^ commandRequest ifNil: [commandRequest := CommandRequest new].! !

!CommandRequestUI methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/27/2013 19:11'!
commandSubsystemId: anId

	self commandRequest subsystemId: anId ! !

!CommandRequestUI methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/24/2013 21:15'!
initialize

	| satelite |
	super initialize.
	satelite := SatelliteTest satelliteWithAllSubsystems.
	subsystems := satelite subsystems! !

!CommandRequestUI methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/27/2013 19:24'!
renderContentOn: html
	|commands names sub command |
	
	names := subsystems collect: [:aSubsystem | aSubsystem name ].
	commands := Dictionary new.
	command := self commandRequest.
	
	
	
        html text: 'Subsystem: '.
        html select 
            list: names ;
           selected: 'Elija subsistema';
            callback: [ :value |
				"sub := subsystems select: [ :each | each name = value ]."
			
				self commandSubsystemId: self subsystems first id.
 
			].
		html anchor
		callback: [ self inform: self commandRequest subsystemId asString];
		with: 'subsystemId'.
	html submitButton on: #chooseCommand of: self.
 
			

	
! !

!CommandRequestUI methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/27/2013 17:50'!
subsystems
	^subsystems ! !

WAComponent subclass: #CommandsView
	instanceVariableNames: 'commandList commandRequest'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DAO-SatelliteUI'!

!CommandsView class methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/23/2013 22:44'!
newWithCommands: commands andRequest: request

	^self new initializeWithCommands: commands andRequest: request
	! !

!CommandsView methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/24/2013 18:30'!
commandRequest
	^commandRequest ! !

!CommandsView methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/23/2013 22:54'!
initializeWithCommands: commands andRequest: request
	super initialize.
	commandList := commands.
	commandRequest := request ! !

!CommandsView methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/26/2013 18:47'!
renderContentOn: html
	|  commandNames |
	commandNames:= commandList keys.
	
	html space.
	        html text: 'Command: '.
        html select 
            list: commandNames;
           selected: 'Elija comando';
            callback: [ :value | |cmd|
				cmd := commandList at: value.
				self commandRequest commandId: cmd id.
				].
	html break.
	html label: 'Ingrese los valores de los parmetros separados por comas'.
	html textInput
	callback: [ :value | self commandRequest commandId: value ];
				value: self commandRequest commandId.
		

	html submitButton
	callback: [ self answer: self commandRequest ];
	value: 'Send'.! !

WAComponent subclass: #DAOSatelliteControllerLauncher
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DAO-SatelliteUI'!

!DAOSatelliteControllerLauncher methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/21/2013 21:39'!
shutDown

	ZnZincServerAdaptor stop 

! !

!DAOSatelliteControllerLauncher methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/25/2013 18:46'!
startApp

	ZnZincServerAdaptor startOn: 8080.
	WAAdmin register: CommandRequestUI asApplicationAt: 'DAOSatelliteUI'.
	 WAAdmin register: ToDoHandler at: 'todo-api'.
	WAAdmin register: ToDoListView  asApplicationAt: 'todo'

! !
